#!/usr/bin/perl

use strict;
use Test::More tests => 8;

# 1
BEGIN { use_ok('FDN::Etebac::Rib'); }
my $res;

# 2
$res = verif_clef_rib('00000','97097','97979797970','00');
ok ( ! $res, 'verif_clef_rib' );

# 3
$res = verif_clef_rib('97970','00000','97979797970','00');
ok ( ! $res, 'verif_clef_rib' );

# 4
$res = verif_clef_rib('97970','97097','00000000000','00');
ok ( ! $res, 'verif_clef_rib' );

# 5
$res = verif_clef_rib('97970','97097','97979797970','00');
ok ( ! $res, 'verif_clef_rib' );

# 6
$res = verif_clef_rib('97970','97097','97979797970','97');
ok ( $res, 'verif_clef_rib' );

# 7
$res = verif_clef_rib('97970','97097','97979797970','96');
ok ( ! $res, 'verif_clef_rib' );

# 8
$res = verif_clef_rib('97970','97097','97979797971','97');
ok ( ! $res, 'verif_clef_rib' );

